Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jbi.msgmap
Class JbiWsdl11WrapperMapper

    java.lang.Object
      org.apache.ode.jbi.msgmap.BaseXmlMapper
          org.apache.ode.jbi.msgmap.JbiWsdl11WrapperMapper

All Implemented Interfaces:
  Mapper

    public class JbiWsdl11WrapperMapper

extends BaseXmlMapper
implements Mapper

Mapper for converting ODE messages to NMS messages using the WSDL 11 wrapper format.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.ode.jbi.msgmap.Mapper
`Mapper.Recognized`

Field Summary
`static java.lang.String` | `URI_WSDL11_WRAPPER`
`static javax.xml.namespace.QName` | `WSDL11_W_MESSAGE`

Fields inherited from class org.apache.ode.jbi.msgmap.BaseXmlMapper
`__log`

Constructor Summary
`JbiWsdl11WrapperMapper()`

Method Summary
`Mapper.Recognized` | `isRecognized(javax.jbi.messaging.NormalizedMessage nmsMsg, javax.wsdl.Operation op)` Determine if this mapper recognizes the format of the NMS message.
`javax.wsdl.Fault` | `toFaultType(javax.jbi.messaging.Fault jbiFlt, java.util.Collection<javax.wsdl.Fault> faults)` Infer the fault type based on the message.
`void` | `toNMS(javax.jbi.messaging.NormalizedMessage nmsMsg, Message odeMsg, javax.wsdl.Message msgdef, javax.xml.namespace.QName fault)` Convert ODE normalized message to JBI normalized "WSDL 1.1 Wrapper" format.
`void` | `toODE(Message dest, javax.jbi.messaging.NormalizedMessage src, javax.wsdl.Message msgdef)` Convert an NMS message to ODE format.

Methods inherited from class org.apache.ode.jbi.msgmap.BaseXmlMapper
`newDocument, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URI_WSDL11_WRAPPER

    public static final java.lang.String URI_WSDL11_WRAPPER

See Also:
  Constant Field Values

### WSDL11_W_MESSAGE

    public static final javax.xml.namespace.QName WSDL11_W_MESSAGE

Constructor Detail

### JbiWsdl11WrapperMapper

    public JbiWsdl11WrapperMapper()

Method Detail

### isRecognized

    public Mapper.Recognized isRecognized(javax.jbi.messaging.NormalizedMessage nmsMsg,
                                          javax.wsdl.Operation op)

  Description copied from interface: `Mapper`
  Determine if this mapper recognizes the format of the NMS message.

  Specified by:
    `isRecognized` in interface `Mapper`
  Returns:

### toNMS

    public void toNMS(javax.jbi.messaging.NormalizedMessage nmsMsg,
                      Message odeMsg,
                      javax.wsdl.Message msgdef,
                      javax.xml.namespace.QName fault)
               throws javax.jbi.messaging.MessagingException

  Convert ODE normalized message to JBI normalized "WSDL 1.1 Wrapper" format.

  Specified by:
    `toNMS` in interface `Mapper`
  Throws:
    `javax.jbi.messaging.MessagingException`

### toODE

    public void toODE(Message dest,
                      javax.jbi.messaging.NormalizedMessage src,
                      javax.wsdl.Message msgdef)
               throws MessageTranslationException

  Description copied from interface: `Mapper`
  Convert an NMS message to ODE format. This call must only be called if `Mapper.isRecognized(NormalizedMessage, Operation)` returned, `true`.

  Specified by:
    `toODE` in interface `Mapper`
  Throws:
    `MessageTranslationException`

### toFaultType

    public javax.wsdl.Fault toFaultType(javax.jbi.messaging.Fault jbiFlt,
                                        java.util.Collection<javax.wsdl.Fault> faults)
                                 throws MessageTranslationException

  Description copied from interface: `Mapper`
  Infer the fault type based on the message.

  Specified by:
    `toFaultType` in interface `Mapper`
  Parameters:
    `jbiFlt` - JBI fault message
    `faults` - collection of possible faults
  Returns:
    matching fault, or null if no match
  Throws:
    `MessageTranslationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD